You are not logged in.

#1 2012-09-27 08:13:43

daron
Member
Registered: 2012-09-27
Posts: 2

[SOLVED] GLIBC_2.16 not found - Pacman broken

Hi all,
I did a packman -Syu yesterday and following instructions relative to glib errors I also performed it by excluding glibc.

This resulting in the problem that now I have old GLIBC ( so I don't have simlink of lib).
After rebooting my system was unable to boot anymore, I did a chroot and a mkinitcpio -p linux and now I can boot the system.

The main problem is that I can't use pacman and a lot of stuff (samba service, firefox, and so on) due to this error:

 pacman: /lib/libc.so.6: version 'GLIBC_2.16' not found (required by /lib/libarchive.so.12) 

Before opening this new thread I did a lot of searching and I tried I think almost all solutions I've found.

I already tried to use pacman cache for replacing libs, I already tried to downgrade curl...

Any help is very very very appreciated, It's a workstation I'm using for CFD computation in my lab and I'm totally blocked!!! (I mean, CFD works at least big_smile )

Thanks in advance, guys.

daron

Last edited by daron (2012-09-27 16:24:43)

Offline

#2 2012-09-27 09:13:48

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 4,318

Re: [SOLVED] GLIBC_2.16 not found - Pacman broken

https://wiki.archlinux.org/index.php/De … iki:usrlib

Try this from a chroot : pacman -U http://pkgbuild.com/~allan/glibc-2.16.0 … pkg.tar.xz

If that fails, try extracting the 2.16.0-1 tarball to /  (and don't forget to reinstall glibc after you've solved the problem) .


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#3 2012-09-27 16:23:49

daron
Member
Registered: 2012-09-27
Posts: 2

Re: [SOLVED] GLIBC_2.16 not found - Pacman broken

Thank you, SOLVED.

Offline

Board footer

Powered by FluxBB